diff -Nurd kdeaccessibility-3.5.10/kbstateapplet/Makefile.am kdeaccessibility-3.5.10-new/kbstateapplet/Makefile.am
--- kdeaccessibility-3.5.10/kbstateapplet/Makefile.am	2005-09-10 04:13:39.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kbstateapplet/Makefile.am	2010-07-26 06:48:09.000000000 -0400
@@ -13,7 +13,7 @@
 EXTRA_DIST = $(lnk_DATA)
 
 kbstate_panelapplet_la_LDFLAGS = $(KDE_PLUGIN) -module $(all_libraries)
-kbstate_panelapplet_la_LIBADD = $(LIB_KDEUI)
+kbstate_panelapplet_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 messages:
 	$(XGETTEXT) *.cpp *.h -o $(podir)/kbstateapplet.pot
diff -Nurd kdeaccessibility-3.5.10/kmag/Makefile.am kdeaccessibility-3.5.10-new/kmag/Makefile.am
--- kdeaccessibility-3.5.10/kmag/Makefile.am	2005-09-10 04:13:38.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kmag/Makefile.am	2010-07-26 06:47:24.000000000 -0400
@@ -3,7 +3,7 @@
 ## INCLUDES were found outside kdevelop specific part
 
 kmag_SOURCES = kmagzoomview.cpp kmagselrect.cpp kmag.cpp main.cpp 
-kmag_LDADD   = $(LIB_KDEPRINT)
+kmag_LDADD   = $(LIB_KDEPRINT) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO)
 
 
 EXTRA_DIST = main.cpp version.h kmag.cpp kmag.h kmagui.rc kmag.desktop lo32-app-kmag.png lo16-app-kmag.png kmagselrect.cpp kmagselrect.h hi16-app-kmag.png kmagzoomview.cpp kmagzoomview.h 
diff -Nurd kdeaccessibility-3.5.10/kmousetool/kmousetool/Makefile.am kdeaccessibility-3.5.10-new/kmousetool/kmousetool/Makefile.am
--- kdeaccessibility-3.5.10/kmousetool/kmousetool/Makefile.am	2005-09-10 04:13:39.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kmousetool/kmousetool/Makefile.am	2010-07-26 06:46:19.000000000 -0400
@@ -1,7 +1,7 @@
 bin_PROGRAMS = kmousetool
 
 kmousetool_SOURCES = kmousetoolui.ui mtstroke.cpp kmousetool.cpp main.cpp 
-kmousetool_LDADD   = -lXtst $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_QT) -lXext -lX11 $(LIBSOCKET)
+kmousetool_LDADD   = -lXtst $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_QT) -lXext -lX11 $(LIBSOCKET) -lDCOP
 
 SUBDIRS = pics 
 
diff -Nurd kdeaccessibility-3.5.10/ksayit/KTTSD_Lib/Makefile.am kdeaccessibility-3.5.10-new/ksayit/KTTSD_Lib/Makefile.am
--- kdeaccessibility-3.5.10/ksayit/KTTSD_Lib/Makefile.am	2010-07-26 06:49:57.000000000 -0400
+++ kdeaccessibility-3.5.10-new/ksayit/KTTSD_Lib/Makefile.am	2010-07-26 06:49:39.000000000 -0400
@@ -5,7 +5,7 @@
 METASOURCES = AUTO
 libKTTSD_Lib_la_LDFLAGS = -no-undefined $(all_libraries) -version-info 0:1
 lib_LTLIBRARIES = libKTTSD_Lib.la
-libKTTSD_Lib_la_LIBADD = $(LIB_KDEUI) $(LIB_KDECORE)
+libKTTSD_Lib_la_LIBADD = $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_QT) -lDCOP
 noinst_HEADERS = kttsdlib.h kttsdlibsetupimpl.h kttsdlibtalker2.h kdeexportfix.h
 
 kspeech_DIR = $(KTTS_KSPEECH_DIR)
diff -Nurd kdeaccessibility-3.5.10/ksayit/src/Makefile.am kdeaccessibility-3.5.10-new/ksayit/src/Makefile.am
--- kdeaccessibility-3.5.10/ksayit/src/Makefile.am	2005-09-10 04:13:41.000000000 -0400
+++ kdeaccessibility-3.5.10-new/ksayit/src/Makefile.am	2010-07-26 06:45:46.000000000 -0400
@@ -33,7 +33,7 @@
 
 ksayit_LDFLAGS = $(KDE_RPATH) $(all_libraries)
 ksayit_LDADD = $(top_builddir)/ksayit/KTTSD_Lib/libKTTSD_Lib.la $(LIB_KIO) \
-	-lartskde -lsoundserver_idl -lartsflow
+	-lartskde -lsoundserver_idl -lartsflow -lartsflow_idl
 
 
 # this is where the shell's XML-GUI resource file goes
diff -Nurd kdeaccessibility-3.5.10/kttsd/app-plugins/kate/Makefile.am kdeaccessibility-3.5.10-new/kttsd/app-plugins/kate/Makefile.am
--- kdeaccessibility-3.5.10/kttsd/app-plugins/kate/Makefile.am	2005-09-10 04:13:49.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kttsd/app-plugins/kate/Makefile.am	2010-07-26 06:44:51.000000000 -0400
@@ -10,7 +10,7 @@
 kde_module_LTLIBRARIES = ktexteditor_kttsd.la
 
 ktexteditor_kttsd_la_SOURCES = katekttsd.cpp
-ktexteditor_kttsd_la_LIBADD  = -lktexteditor
+ktexteditor_kttsd_la_LIBADD  = -lktexteditor $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) -lDCOP
 ktexteditor_kttsd_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 kttsddatadir = $(kde_datadir)/ktexteditor_kttsd
diff -Nurd kdeaccessibility-3.5.10/kttsd/kcmkttsmgr/Makefile.am kdeaccessibility-3.5.10-new/kttsd/kcmkttsmgr/Makefile.am
--- kdeaccessibility-3.5.10/kttsd/kcmkttsmgr/Makefile.am	2005-09-10 04:13:48.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kttsd/kcmkttsmgr/Makefile.am	2010-07-26 06:43:08.000000000 -0400
@@ -33,7 +33,7 @@
 kcm_kttsd_la_LDFLAGS = -avoid-version -module -no-undefined $(all_libraries)
 kcm_kttsd_la_LIBADD = \
 	$(top_builddir)/kttsd/libkttsd/libkttsd.la \
-	$(LIB_KIO) 
+	$(LIB_KIO) -lDCOP
 
 # Header files that should not be installed.
 noinst_HEADERS = \
diff -Nurd kdeaccessibility-3.5.10/kttsd/kttsd/Makefile.am kdeaccessibility-3.5.10-new/kttsd/kttsd/Makefile.am
--- kdeaccessibility-3.5.10/kttsd/kttsd/Makefile.am	2005-09-10 04:13:49.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kttsd/kttsd/Makefile.am	2010-07-26 06:42:17.000000000 -0400
@@ -38,7 +38,7 @@
 	$(top_builddir)/kttsd/libkttsd/libkttsd.la \
 	$(LIB_KDECORE) \
 	$(LIB_KIO) \
-	$(LIB_KUTILS)
+	$(LIB_KUTILS) -lDCOP
 
 # Install desktop file to standard services directory.
 kde_services_DATA = kttsd.desktop
diff -Nurd kdeaccessibility-3.5.10/kttsd/kttsjobmgr/Makefile.am kdeaccessibility-3.5.10-new/kttsd/kttsjobmgr/Makefile.am
--- kdeaccessibility-3.5.10/kttsd/kttsjobmgr/Makefile.am	2005-09-10 04:13:49.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kttsd/kttsjobmgr/Makefile.am	2010-07-26 06:42:47.000000000 -0400
@@ -26,7 +26,7 @@
 libkttsjobmgrpart_la_LDFLAGS = -avoid-version -module -no-undefined $(all_libraries) $(KDE_PLUGIN)
 libkttsjobmgrpart_la_LIBADD = \
 	$(top_builddir)/kttsd/libkttsd/libkttsd.la \
-	$(LIB_KFILE) $(LIBVM) $(LIB_KPARTS)
+	$(LIB_KFILE) $(LIBVM) $(LIB_KPARTS) -lDCOP
 
 # Header files not to be installed.
 noinst_HEADERS = 
diff -Nurd kdeaccessibility-3.5.10/kttsd/kttsmgr/Makefile.am kdeaccessibility-3.5.10-new/kttsd/kttsmgr/Makefile.am
--- kdeaccessibility-3.5.10/kttsd/kttsmgr/Makefile.am	2005-09-10 04:13:49.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kttsd/kttsmgr/Makefile.am	2010-07-26 06:44:07.000000000 -0400
@@ -25,7 +25,7 @@
 kttsmgr_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 kttsmgr_LDADD = \
 	$(LIB_KUTILS) \
-	$(LIB_KDEUI)
+	$(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 # Header files that should not be installed.
 noinst_HEADERS = kttsmgr.h
diff -Nurd kdeaccessibility-3.5.10/kttsd/libkttsd/Makefile.am kdeaccessibility-3.5.10-new/kttsd/libkttsd/Makefile.am
--- kdeaccessibility-3.5.10/kttsd/libkttsd/Makefile.am	2005-09-10 04:13:46.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kttsd/libkttsd/Makefile.am	2010-07-26 06:35:20.000000000 -0400
@@ -26,7 +26,7 @@
 	notify.cpp
 
 libkttsd_la_LDFLAGS = -version-info 1:0:0 $(all_libraries) -no-undefined
-libkttsd_la_LIBADD = $(LIB_KIO)
+libkttsd_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 # Header files that should not be installed.
 noinst_HEADERS = \
diff -Nurd kdeaccessibility-3.5.10/kttsd/players/artsplayer/Makefile.am kdeaccessibility-3.5.10-new/kttsd/players/artsplayer/Makefile.am
--- kdeaccessibility-3.5.10/kttsd/players/artsplayer/Makefile.am	2005-09-10 04:13:45.000000000 -0400
+++ kdeaccessibility-3.5.10-new/kttsd/players/artsplayer/Makefile.am	2010-07-26 06:40:54.000000000 -0400
@@ -19,7 +19,7 @@
     artsplugin.cpp \
 	artsplayer.cpp
 libkttsd_artsplugin_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) -no-undefined
-libkttsd_artsplugin_la_LIBADD = $(top_builddir)/kttsd/libkttsd/libkttsd.la -lartskde
+libkttsd_artsplugin_la_LIBADD = $(top_builddir)/kttsd/libkttsd/libkttsd.la -lartskde -lmcop -lartsflow_idl -lkmedia2_idl -lsoundserver_idl
 
 # Header files that should not be installed.
 noinst_HEADERS = \
